Skip to content

Get an off-ramp quote

GET
/v1/off-ramp-quotes/{quoteId}

Returns details for a specific off-ramp quote.

quoteId
required

The quote ID

string

Response for status 200

object
id
required

Quote ID

string
fulfillment
required
string
Allowed values: sign_transaction send_to_address
status
required
string
Allowed values: created transaction_pending transaction_failed insufficient_funds confirmed completed expired failed refunded
createdAt
required

When the quote was created

string format: date-time
input
required

What the user pays — total USD cost and token used.

object
amount
required

Total USD cost including fees (= output.amount + fees.amount)

string
currency
required

Always USD

string
Allowed value: USD
tokenAddress
required

Contract address (EVM/Solana/Sui/Tron) or asset symbol (BTC, DASH) for UTXO chains

string
chain
required
string
Allowed values: ethereum polygon arbitrum base optimism avalanche binance-smart-chain solana bitcoin dash tron sui hyperevm monad sonic unichain
output
required

What the destination receives.

object
amount
required

Fiat delivered to destination account

string
currency
required

Fiat currency

string
rail
required
string
Allowed values: ach_standard rtp wire eft sepa push_to_debit bill_pay
accountId
required

Destination account ID

string
fees
required

Fees charged for this quote.

object
amount
required

Fee in fiat (‘0.00’ if none)

string
currency
required

Fee currency

string
sendTo

Present when fulfillment is send_to_address. Send exactly amount of token to address before expiresAt.

object
address
required

Blockchain address to send crypto to

string
amount
required

Exact crypto amount to send

string
token
required

Token symbol to send

string
expiresAt
required

Deadline to send crypto. Quote expires after this time.

string format: date-time
confirmation

Present after on-chain transaction is detected.

object
transactionHash
required

On-chain transaction hash

string
explorerUrl
required

Block explorer URL

string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string